
import math
import re

def find_palindrome(text):
    def is_palindrome(s):
        return s == s[::-1]
    
    def sanitize(text):
        return re.sub(r'[^a-zA-Z0-9]', '', text.lower())
    
    sanitized_text = sanitize(text)
    for i in range(len(sanitized_text)):
        for j in range(i+1, len(sanitized_text)+1):
            substring = sanitized_text[i:j]
            if is_palindrome(substring) and len(substring) > 1:
                return substring
    return None

